#ifndef _CIMRPMFP_H_
#define _CIMRPMFP_H_
/*
 * cimrpmfp.h
 *
 * (C) Copyright IBM Corp. 2002
 *
 * THIS FILE IS PROVIDED UNDER THE TERMS OF THE COMMON PUBLIC LICENSE 
 * ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS FILE 
 * CONSTITUTES RECIPIENTS ACCEPTANCE OF THE AGREEMENT.
 *
 * You can obtain a current copy of the Common Public License from
 * http://oss.software.ibm.com/developerworks/opensource/license-cpl.html
 *
 * Author: Viktor Mihajlovski <mihajlov@de.ibm.com>
 * Contributors:
 *
 * Description: libcimrpm function pointer structure
 *
 * A structure like this with symbol name FP_CRPM must be exported
 * by a RPM database access library that is to be dynamically loaded 
 * by libcimrpm.
 *
 */

/* Function pointers for RPM database access */
struct _FPCRPM {
  HCRPM (*fpCRPM_Init)();
  void (*fpCRPM_Term)(HCRPM);
  int (*fpCRPM_InitPkgEnum)(HCRPM,CRPM_SE*);
  int (*fpCRPM_NextPkgEnum)(CRPM_SE* se);
  void (*fpCRPM_TermPkgEnum)(CRPM_SE* se);
  int (*fpCRPM_SinglePkgEnum)(HCRPM hcrpm,const char * spec,CRPM_SE* se);
  char ** (*fpCRPM_SinglePkgFiles)(HCRPM hcrpm, const char* spec, 
				   CRPM_SE* se);
}; 

#endif
