#ifndef _CMPIOSBASE_RPMASSOCIATEDFILE_H_
#define _CMPIOSBASE_RPMASSOCIATEDFILE_H_

/*
 * cmpiOSBase_RpmAssociatedFile.h
 *
 * (C) Copyright IBM Corp. 2002, 2005
 *
 * THIS FILE IS PROVIDED UNDER THE TERMS OF THE COMMON PUBLIC LICENSE
 * ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS FILE
 * CONSTITUTES RECIPIENTS ACCEPTANCE OF THE AGREEMENT.
 *
 * You can obtain a current copy of the Common Public License from
 * http://oss.software.ibm.com/developerworks/opensource/license-cpl.html
 *
 * Author:       Viktor Mihajlovski <mihajlov@de.ibm.com>
 * Contributors: Heidi Neumann <heidineu@de.ibm.com>
 *
 * Interface Type : Common Magabeablity Programming Interface ( CMPI )
 *
 * Description:
 * This file defines the interfaces for the factory implementation of the
 * CIM association Linux_RpmAssociatedFile.
 *
*/


/* ---------------------------------------------------------------------------*/

#include "cmpidt.h"
#include <cimrpm.h>

/* ---------------------------------------------------------------------------*/

static char * _AssocName     = "Linux_RpmAssociatedFile";
static char * _RefLeft       = "Check";
static char * _RefRight      = "Element";
static char * _RefLeftClass  = "Linux_RpmFileCheck";
static char * _RefRightClass = "Linux_RpmPackage";

#define ATYPE_NONE    0x00000000
#define ATYPE_ASSOC   0x00000001
#define ATYPE_NAME    0x00000002

/* ---------------------------------------------------------------------------*/

/* method to create a CMPIObjectPath of Linux_RpmAssociatedFile               */

CMPIObjectPath * _makePath_RpmAssociatedFile( CMPIBroker * _broker, 
					      CMPIObjectPath * filecheck,
					      CMPIObjectPath * package,
					      CMPIStatus * rc);


/* method to create a CMPIInstance of Linux_RpmAssociatedFile                 */

CMPIInstance * _makeInst_RpmAssociatedFile( CMPIBroker * _broker,
					    CMPIObjectPath * filecheck,
					    CMPIObjectPath * package,
					    CMPIStatus * rc);


/* ---------------------------------------------------------------------------*/

/* method to handle the association logic for Linux_RpmAssociatedFile         */

int assoc_RpmAssociatedFile( CMPIBroker * _broker,
			     CMPIContext * ctx,
			     CMPIResult * rslt,
			     CMPIObjectPath * ref,
			     int assocType,
			     CMPIStatus * rc );

/* ---------------------------------------------------------------------------*/

#endif

