#ifndef _CMPIOSBASE_RPMPACKAGE_H_
#define _CMPIOSBASE_RPMPACKAGE_H_

/*
 * cmpiOSBase_RpmPackage.h
 *
 * (C) Copyright IBM Corp. 2002, 2005
 *
 * THIS FILE IS PROVIDED UNDER THE TERMS OF THE COMMON PUBLIC LICENSE
 * ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS FILE
 * CONSTITUTES RECIPIENTS ACCEPTANCE OF THE AGREEMENT.
 *
 * You can obtain a current copy of the Common Public License from
 * http://oss.software.ibm.com/developerworks/opensource/license-cpl.html
 *
 * Author:       Heidi Neumann <heidineu@de.ibm.com>
 * Contributors: Viktor Mihajlovski <mihajlov@de.ibm.com>
 *
 * Interface Type : Common Magabeablity Programming Interface ( CMPI )
 *
 * Description:
 * This file defines the interfaces for the factory implementation of the
 * CIM class Linux_RpmPackage.
 *
*/


/* ---------------------------------------------------------------------------*/

#include "cmpidt.h"
#include <cimrpm.h>

/* ---------------------------------------------------------------------------*/

static char * _ClassName = "Linux_RpmPackage";

/* ---------------------------------------------------------------------------*/

/* method to create a CMPIObjectPath of Linux_RpmPackage                      */

CMPIObjectPath * _makePath_RpmPackage( CMPIBroker * _broker,
                 CMPIContext * ctx, 
                 CMPIObjectPath * cop,
	         CRPM_SE * crpmse,
                 CMPIStatus * rc);


/* method to create a CMPIInstance of Linux_RpmPackage                        */

CMPIInstance * _makeInst_RpmPackage( CMPIBroker * _broker,
               CMPIContext * ctx, 
               CMPIObjectPath * cop,
	       const char ** properties,
	       CRPM_SE * crpmse,
               CMPIStatus * rc);

/* ---------------------------------------------------------------------------*/

#endif

